View Issue Details

IDProjectCategoryView StatusLast Update
0016454ScribusUser Interfacepublic2021-02-09 04:24
Reporterbubu Assigned Tojghali  
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Product Version1.5.7.svn 
Target VersionFixed in Version1.5.7.svn 
Summary0016454: Update layout for Barcode Generator
DescriptionI propose 2 competing patches for Barcode Generator dialog:
A) Add missing titles for group boxes.
B) Add missing titles for group boxes + reorganize the options to one group box.

Please see the screenshots and review. Thanks.
TagsNo tags attached.
PatchNo

Relationships

child of 0013906 acknowledged Metabug: UI enhancement proposals (1.5.x.svn) 

Activities

bubu

2021-01-30 23:28

reporter  

0001-Update-layout-for-Barcode-Generator-A.patch (10,138 bytes)
From ff392a8e0af80fe37e92811fe7bb4128f1ed7cb8 Mon Sep 17 00:00:00 2001
Message-Id: <ff392a8e0af80fe37e92811fe7bb4128f1ed7cb8.1612047811.git.bubu@ujevangelizacio.hu>
From: =?UTF-8?q?Gyuris=20Gell=C3=A9rt?= <bubu@ujevangelizacio.hu>
Date: Sat, 30 Jan 2021 23:53:13 +0100
Subject: [PATCH] Update layout for Barcode Generator

---
 .../barcodegenerator/barcodegenerator.ui      | 247 +++++++++---------
 1 file changed, 130 insertions(+), 117 deletions(-)

diff --git a/scribus/plugins/barcodegenerator/barcodegenerator.ui b/scribus/plugins/barcodegenerator/barcodegenerator.ui
index 802bc106d..98a2e6900 100644
--- a/scribus/plugins/barcodegenerator/barcodegenerator.ui
+++ b/scribus/plugins/barcodegenerator/barcodegenerator.ui
@@ -8,8 +8,8 @@
    <rect>
     <x>0</x>
     <y>0</y>
-    <width>497</width>
-    <height>574</height>
+    <width>519</width>
+    <height>601</height>
    </rect>
   </property>
   <property name="windowTitle">
@@ -19,6 +19,18 @@
    <string/>
   </property>
   <layout class="QGridLayout" name="gridLayout">
+   <property name="leftMargin">
+    <number>9</number>
+   </property>
+   <property name="topMargin">
+    <number>9</number>
+   </property>
+   <property name="rightMargin">
+    <number>9</number>
+   </property>
+   <property name="bottomMargin">
+    <number>9</number>
+   </property>
    <item row="8" column="0" colspan="3">
     <layout class="QHBoxLayout" name="horizontalLayout">
      <item>
@@ -50,109 +62,28 @@
      </item>
     </layout>
    </item>
-   <item row="4" column="0">
-    <widget class="QGroupBox" name="bcodeBox">
-     <property name="title">
-      <string/>
-     </property>
-     <layout class="QGridLayout" name="gridLayout_3">
-      <property name="topMargin">
-       <number>0</number>
-      </property>
-      <property name="bottomMargin">
-       <number>0</number>
-      </property>
-      <item row="6" column="1">
-       <widget class="QCheckBox" name="includecheckintextCheck">
-        <property name="toolTip">
-         <string>Include the checksum digit in the barcode text</string>
-        </property>
-        <property name="text">
-         <string>Display checksum</string>
-        </property>
-        <property name="shortcut">
-         <string>Alt+U</string>
-        </property>
-       </widget>
-      </item>
-      <item row="5" column="0">
-       <widget class="QCheckBox" name="includetextCheck">
-        <property name="toolTip">
-         <string>If checked, there will be numbers in the barcode too</string>
-        </property>
-        <property name="text">
-         <string>Show readable text</string>
-        </property>
-        <property name="shortcut">
-         <string>Alt+I</string>
-        </property>
-        <property name="checked">
-         <bool>false</bool>
-        </property>
-       </widget>
-      </item>
-      <item row="8" column="1">
-       <widget class="QCheckBox" name="parsefncCheck">
-        <property name="text">
-         <string>Parse specials</string>
-        </property>
-       </widget>
-      </item>
-      <item row="5" column="1">
-       <widget class="QCheckBox" name="guardwhitespaceCheck">
-        <property name="toolTip">
-         <string>Draw arrows to be sure of space next the code</string>
-        </property>
-        <property name="text">
-         <string>Guard whitespace</string>
-        </property>
-        <property name="shortcut">
-         <string>Alt+G</string>
-        </property>
-       </widget>
-      </item>
-      <item row="8" column="0">
-       <widget class="QCheckBox" name="parseCheck">
-        <property name="text">
-         <string>^NNN as ASCII</string>
-        </property>
-       </widget>
-      </item>
-      <item row="6" column="0">
-       <widget class="QCheckBox" name="includecheckCheck">
-        <property name="toolTip">
-         <string>Generate and include a checksum in barcode</string>
-        </property>
-        <property name="text">
-         <string>Add checksum</string>
-        </property>
-        <property name="shortcut">
-         <string>Alt+N</string>
-        </property>
-       </widget>
-      </item>
-     </layout>
-    </widget>
-   </item>
    <item row="4" column="1" colspan="2">
     <widget class="QGroupBox" name="colorBox">
      <property name="title">
-      <string/>
+      <string>Colors</string>
      </property>
      <layout class="QGridLayout" name="gridLayout_4">
-      <property name="topMargin">
-       <number>6</number>
-      </property>
-      <item row="0" column="0">
-       <widget class="QPushButton" name="bgColorButton">
-        <property name="toolTip">
-         <string>Background color - under the code lines</string>
+      <item row="2" column="1">
+       <widget class="QLabel" name="txtLabel">
+        <property name="minimumSize">
+         <size>
+          <width>10</width>
+          <height>0</height>
+         </size>
         </property>
-        <property name="text">
-         <string>&amp;Background</string>
+        <property name="frameShape">
+         <enum>QFrame::Box</enum>
         </property>
-        <property name="shortcut">
-         <string>Alt+B</string>
+        <property name="scaledContents">
+         <bool>true</bool>
+        </property>
+        <property name="wordWrap">
+         <bool>false</bool>
         </property>
        </widget>
       </item>
@@ -220,22 +151,16 @@
         </property>
        </widget>
       </item>
-      <item row="2" column="1">
-       <widget class="QLabel" name="txtLabel">
-        <property name="minimumSize">
-         <size>
-          <width>10</width>
-          <height>0</height>
-         </size>
-        </property>
-        <property name="frameShape">
-         <enum>QFrame::Box</enum>
+      <item row="0" column="0">
+       <widget class="QPushButton" name="bgColorButton">
+        <property name="toolTip">
+         <string>Background color - under the code lines</string>
         </property>
-        <property name="scaledContents">
-         <bool>true</bool>
+        <property name="text">
+         <string>&amp;Background</string>
         </property>
-        <property name="wordWrap">
-         <bool>false</bool>
+        <property name="shortcut">
+         <string>Alt+B</string>
         </property>
        </widget>
       </item>
@@ -251,7 +176,7 @@
       </size>
      </property>
      <property name="title">
-      <string/>
+      <string>Type</string>
      </property>
      <layout class="QGridLayout" name="gridLayout_2">
       <item row="0" column="0">
@@ -367,12 +292,9 @@
    <item row="6" column="0" colspan="3">
     <widget class="QGroupBox" name="optionsBox">
      <property name="title">
-      <string/>
+      <string>Preview</string>
      </property>
      <layout class="QGridLayout" name="gridLayout_5">
-      <property name="verticalSpacing">
-       <number>6</number>
-      </property>
       <item row="2" column="0" colspan="5">
        <widget class="QLabel" name="sampleLabel">
         <property name="minimumSize">
@@ -450,6 +372,97 @@
      </layout>
     </widget>
    </item>
+   <item row="4" column="0">
+    <widget class="QGroupBox" name="bcodeBox">
+     <property name="title">
+      <string>Options</string>
+     </property>
+     <layout class="QGridLayout" name="gridLayout_3">
+      <item row="6" column="0">
+       <widget class="QCheckBox" name="includecheckCheck">
+        <property name="toolTip">
+         <string>Generate and include a checksum in barcode</string>
+        </property>
+        <property name="text">
+         <string>Add checksum</string>
+        </property>
+        <property name="shortcut">
+         <string>Alt+N</string>
+        </property>
+       </widget>
+      </item>
+      <item row="6" column="1">
+       <widget class="QCheckBox" name="includecheckintextCheck">
+        <property name="toolTip">
+         <string>Include the checksum digit in the barcode text</string>
+        </property>
+        <property name="text">
+         <string>Display checksum</string>
+        </property>
+        <property name="shortcut">
+         <string>Alt+U</string>
+        </property>
+       </widget>
+      </item>
+      <item row="8" column="0">
+       <widget class="QCheckBox" name="parseCheck">
+        <property name="text">
+         <string>^NNN as ASCII</string>
+        </property>
+       </widget>
+      </item>
+      <item row="5" column="0">
+       <widget class="QCheckBox" name="includetextCheck">
+        <property name="toolTip">
+         <string>If checked, there will be numbers in the barcode too</string>
+        </property>
+        <property name="text">
+         <string>Show readable text</string>
+        </property>
+        <property name="shortcut">
+         <string>Alt+I</string>
+        </property>
+        <property name="checked">
+         <bool>false</bool>
+        </property>
+       </widget>
+      </item>
+      <item row="5" column="1">
+       <widget class="QCheckBox" name="guardwhitespaceCheck">
+        <property name="toolTip">
+         <string>Draw arrows to be sure of space next the code</string>
+        </property>
+        <property name="text">
+         <string>Guard whitespace</string>
+        </property>
+        <property name="shortcut">
+         <string>Alt+G</string>
+        </property>
+       </widget>
+      </item>
+      <item row="8" column="1">
+       <widget class="QCheckBox" name="parsefncCheck">
+        <property name="text">
+         <string>Parse specials</string>
+        </property>
+       </widget>
+      </item>
+      <item row="9" column="0">
+       <spacer name="verticalSpacer">
+        <property name="orientation">
+         <enum>Qt::Vertical</enum>
+        </property>
+        <property name="sizeHint" stdset="0">
+         <size>
+          <width>20</width>
+          <height>40</height>
+         </size>
+        </property>
+       </spacer>
+      </item>
+     </layout>
+    </widget>
+   </item>
   </layout>
  </widget>
  <layoutdefault spacing="6" margin="11"/>
-- 
2.27.0

0001-Update-layout-for-Barcode-Generator-B.patch (14,852 bytes)
From b3b9e261f92f73077891312378f0811db25fbf0d Mon Sep 17 00:00:00 2001
Message-Id: <b3b9e261f92f73077891312378f0811db25fbf0d.1612047842.git.bubu@ujevangelizacio.hu>
From: =?UTF-8?q?Gyuris=20Gell=C3=A9rt?= <bubu@ujevangelizacio.hu>
Date: Sun, 31 Jan 2021 00:02:28 +0100
Subject: [PATCH] Update layout for Barcode Generator

---
 .../barcodegenerator/barcodegenerator.ui      | 396 +++++++++---------
 1 file changed, 200 insertions(+), 196 deletions(-)

diff --git a/scribus/plugins/barcodegenerator/barcodegenerator.ui b/scribus/plugins/barcodegenerator/barcodegenerator.ui
index 802bc106d..e6a166650 100644
--- a/scribus/plugins/barcodegenerator/barcodegenerator.ui
+++ b/scribus/plugins/barcodegenerator/barcodegenerator.ui
@@ -8,7 +8,7 @@
    <rect>
     <x>0</x>
     <y>0</y>
-    <width>497</width>
+    <width>504</width>
     <height>574</height>
    </rect>
   </property>
@@ -19,7 +19,137 @@
    <string/>
   </property>
   <layout class="QGridLayout" name="gridLayout">
-   <item row="8" column="0" colspan="3">
+   <property name="leftMargin">
+    <number>9</number>
+   </property>
+   <property name="topMargin">
+    <number>9</number>
+   </property>
+   <property name="rightMargin">
+    <number>9</number>
+   </property>
+   <property name="bottomMargin">
+    <number>9</number>
+   </property>
+   <item row="4" column="1" colspan="2">
+    <widget class="QGroupBox" name="colorBox">
+     <property name="title">
+      <string>Colors</string>
+     </property>
+     <layout class="QGridLayout" name="gridLayout_4">
+      <item row="0" column="0">
+       <widget class="QPushButton" name="bgColorButton">
+        <property name="toolTip">
+         <string>Background color - under the code lines</string>
+        </property>
+        <property name="text">
+         <string>&amp;Background</string>
+        </property>
+        <property name="shortcut">
+         <string>Alt+B</string>
+        </property>
+       </widget>
+      </item>
+      <item row="2" column="1">
+       <widget class="QLabel" name="txtLabel">
+        <property name="minimumSize">
+         <size>
+          <width>25</width>
+          <height>25</height>
+         </size>
+        </property>
+        <property name="frameShape">
+         <enum>QFrame::Box</enum>
+        </property>
+        <property name="scaledContents">
+         <bool>true</bool>
+        </property>
+        <property name="wordWrap">
+         <bool>false</bool>
+        </property>
+       </widget>
+      </item>
+      <item row="1" column="0">
+       <widget class="QPushButton" name="lnColorButton">
+        <property name="toolTip">
+         <string>Color of the lines in barcode</string>
+        </property>
+        <property name="text">
+         <string>&amp;Lines</string>
+        </property>
+        <property name="shortcut">
+         <string>Alt+L</string>
+        </property>
+       </widget>
+      </item>
+      <item row="1" column="1">
+       <widget class="QLabel" name="linesLabel">
+        <property name="minimumSize">
+         <size>
+          <width>25</width>
+          <height>25</height>
+         </size>
+        </property>
+        <property name="frameShape">
+         <enum>QFrame::Box</enum>
+        </property>
+        <property name="scaledContents">
+         <bool>true</bool>
+        </property>
+        <property name="wordWrap">
+         <bool>false</bool>
+        </property>
+       </widget>
+      </item>
+      <item row="2" column="0">
+       <widget class="QPushButton" name="txtColorButton">
+        <property name="toolTip">
+         <string>Color of the text and numbers</string>
+        </property>
+        <property name="text">
+         <string>&amp;Text</string>
+        </property>
+        <property name="shortcut">
+         <string>Alt+T</string>
+        </property>
+       </widget>
+      </item>
+      <item row="0" column="1">
+       <widget class="QLabel" name="bgLabel">
+        <property name="minimumSize">
+         <size>
+          <width>25</width>
+          <height>25</height>
+         </size>
+        </property>
+        <property name="frameShape">
+         <enum>QFrame::Box</enum>
+        </property>
+        <property name="scaledContents">
+         <bool>true</bool>
+        </property>
+        <property name="wordWrap">
+         <bool>false</bool>
+        </property>
+       </widget>
+      </item>
+      <item row="3" column="0">
+       <spacer name="verticalSpacer">
+        <property name="orientation">
+         <enum>Qt::Vertical</enum>
+        </property>
+        <property name="sizeHint" stdset="0">
+         <size>
+          <width>20</width>
+          <height>40</height>
+         </size>
+        </property>
+       </spacer>
+      </item>
+     </layout>
+    </widget>
+   </item>
+   <item row="7" column="0" colspan="3">
     <layout class="QHBoxLayout" name="horizontalLayout">
      <item>
       <spacer name="horizontalSpacer">
@@ -53,41 +183,58 @@
    <item row="4" column="0">
     <widget class="QGroupBox" name="bcodeBox">
      <property name="title">
-      <string/>
+      <string>Options</string>
      </property>
      <layout class="QGridLayout" name="gridLayout_3">
-      <property name="topMargin">
-       <number>0</number>
-      </property>
-      <property name="bottomMargin">
-       <number>0</number>
-      </property>
-      <item row="6" column="1">
-       <widget class="QCheckBox" name="includecheckintextCheck">
+      <item row="10" column="0">
+       <widget class="QComboBox" name="formatCombo">
+        <property name="minimumSize">
+         <size>
+          <width>125</width>
+          <height>1</height>
+         </size>
+        </property>
         <property name="toolTip">
-         <string>Include the checksum digit in the barcode text</string>
+         <string>Version of the symbol</string>
         </property>
+       </widget>
+      </item>
+      <item row="9" column="1">
+       <widget class="QLabel" name="eccLabel">
         <property name="text">
-         <string>Display checksum</string>
+         <string>Error correction level:</string>
         </property>
-        <property name="shortcut">
-         <string>Alt+U</string>
+        <property name="wordWrap">
+         <bool>false</bool>
+        </property>
+        <property name="buddy">
+         <cstring>eccCombo</cstring>
         </property>
        </widget>
       </item>
-      <item row="5" column="0">
-       <widget class="QCheckBox" name="includetextCheck">
+      <item row="9" column="0">
+       <widget class="QLabel" name="formatLabel">
+        <property name="text">
+         <string>Version:</string>
+        </property>
+        <property name="wordWrap">
+         <bool>false</bool>
+        </property>
+        <property name="buddy">
+         <cstring>formatCombo</cstring>
+        </property>
+       </widget>
+      </item>
+      <item row="6" column="1">
+       <widget class="QCheckBox" name="includecheckintextCheck">
         <property name="toolTip">
-         <string>If checked, there will be numbers in the barcode too</string>
+         <string>Include the checksum digit in the barcode text</string>
         </property>
         <property name="text">
-         <string>Show readable text</string>
+         <string>Display checksum</string>
         </property>
         <property name="shortcut">
-         <string>Alt+I</string>
-        </property>
-        <property name="checked">
-         <bool>false</bool>
+         <string>Alt+U</string>
         </property>
        </widget>
       </item>
@@ -131,111 +278,32 @@
         </property>
        </widget>
       </item>
-     </layout>
-    </widget>
-   </item>
-   <item row="4" column="1" colspan="2">
-    <widget class="QGroupBox" name="colorBox">
-     <property name="title">
-      <string/>
-     </property>
-     <layout class="QGridLayout" name="gridLayout_4">
-      <property name="topMargin">
-       <number>6</number>
-      </property>
-      <item row="0" column="0">
-       <widget class="QPushButton" name="bgColorButton">
+      <item row="5" column="0">
+       <widget class="QCheckBox" name="includetextCheck">
         <property name="toolTip">
-         <string>Background color - under the code lines</string>
+         <string>If checked, there will be numbers in the barcode too</string>
         </property>
         <property name="text">
-         <string>&amp;Background</string>
+         <string>Show readable text</string>
         </property>
         <property name="shortcut">
-         <string>Alt+B</string>
-        </property>
-       </widget>
-      </item>
-      <item row="0" column="1">
-       <widget class="QLabel" name="bgLabel">
-        <property name="minimumSize">
-         <size>
-          <width>10</width>
-          <height>0</height>
-         </size>
-        </property>
-        <property name="frameShape">
-         <enum>QFrame::Box</enum>
-        </property>
-        <property name="scaledContents">
-         <bool>true</bool>
+         <string>Alt+I</string>
         </property>
-        <property name="wordWrap">
+        <property name="checked">
          <bool>false</bool>
         </property>
        </widget>
       </item>
-      <item row="1" column="0">
-       <widget class="QPushButton" name="lnColorButton">
-        <property name="toolTip">
-         <string>Color of the lines in barcode</string>
-        </property>
-        <property name="text">
-         <string>&amp;Lines</string>
-        </property>
-        <property name="shortcut">
-         <string>Alt+L</string>
-        </property>
-       </widget>
-      </item>
-      <item row="1" column="1">
-       <widget class="QLabel" name="linesLabel">
+      <item row="10" column="1">
+       <widget class="QComboBox" name="eccCombo">
         <property name="minimumSize">
          <size>
-          <width>10</width>
+          <width>125</width>
           <height>0</height>
          </size>
         </property>
-        <property name="frameShape">
-         <enum>QFrame::Box</enum>
-        </property>
-        <property name="scaledContents">
-         <bool>true</bool>
-        </property>
-        <property name="wordWrap">
-         <bool>false</bool>
-        </property>
-       </widget>
-      </item>
-      <item row="2" column="0">
-       <widget class="QPushButton" name="txtColorButton">
         <property name="toolTip">
-         <string>Color of the text and numbers</string>
-        </property>
-        <property name="text">
-         <string>&amp;Text</string>
-        </property>
-        <property name="shortcut">
-         <string>Alt+T</string>
-        </property>
-       </widget>
-      </item>
-      <item row="2" column="1">
-       <widget class="QLabel" name="txtLabel">
-        <property name="minimumSize">
-         <size>
-          <width>10</width>
-          <height>0</height>
-         </size>
-        </property>
-        <property name="frameShape">
-         <enum>QFrame::Box</enum>
-        </property>
-        <property name="scaledContents">
-         <bool>true</bool>
-        </property>
-        <property name="wordWrap">
-         <bool>false</bool>
+         <string>Error correction level</string>
         </property>
        </widget>
       </item>
@@ -251,7 +319,7 @@
       </size>
      </property>
      <property name="title">
-      <string/>
+      <string>Type</string>
      </property>
      <layout class="QGridLayout" name="gridLayout_2">
       <item row="0" column="0">
@@ -364,90 +432,26 @@
      </layout>
     </widget>
    </item>
-   <item row="6" column="0" colspan="3">
-    <widget class="QGroupBox" name="optionsBox">
-     <property name="title">
-      <string/>
+   <item row="5" column="0" colspan="3">
+    <widget class="QLabel" name="sampleLabel">
+     <property name="minimumSize">
+      <size>
+       <width>450</width>
+       <height>190</height>
+      </size>
+     </property>
+     <property name="styleSheet">
+      <string notr="true">background-color : #FFF</string>
+     </property>
+     <property name="frameShape">
+      <enum>QFrame::Box</enum>
+     </property>
+     <property name="alignment">
+      <set>Qt::AlignCenter</set>
+     </property>
+     <property name="wordWrap">
+      <bool>true</bool>
      </property>
-     <layout class="QGridLayout" name="gridLayout_5">
-      <property name="verticalSpacing">
-       <number>6</number>
-      </property>
-      <item row="2" column="0" colspan="5">
-       <widget class="QLabel" name="sampleLabel">
-        <property name="minimumSize">
-         <size>
-          <width>450</width>
-          <height>190</height>
-         </size>
-        </property>
-        <property name="styleSheet">
-         <string notr="true">background-color : #FFF</string>
-        </property>
-        <property name="frameShape">
-         <enum>QFrame::Box</enum>
-        </property>
-        <property name="alignment">
-         <set>Qt::AlignCenter</set>
-        </property>
-        <property name="wordWrap">
-         <bool>true</bool>
-        </property>
-       </widget>
-      </item>
-      <item row="0" column="0">
-       <widget class="QLabel" name="formatLabel">
-        <property name="text">
-         <string>Version:</string>
-        </property>
-        <property name="wordWrap">
-         <bool>false</bool>
-        </property>
-        <property name="buddy">
-         <cstring>formatCombo</cstring>
-        </property>
-       </widget>
-      </item>
-      <item row="0" column="1">
-       <widget class="QComboBox" name="formatCombo">
-        <property name="minimumSize">
-         <size>
-          <width>125</width>
-          <height>1</height>
-         </size>
-        </property>
-        <property name="toolTip">
-         <string>Version of the symbol</string>
-        </property>
-       </widget>
-      </item>
-      <item row="0" column="4">
-       <widget class="QComboBox" name="eccCombo">
-        <property name="minimumSize">
-         <size>
-          <width>125</width>
-          <height>0</height>
-         </size>
-        </property>
-        <property name="toolTip">
-         <string>Error correction level</string>
-        </property>
-       </widget>
-      </item>
-      <item row="0" column="3">
-       <widget class="QLabel" name="eccLabel">
-        <property name="text">
-         <string>Error correction level:</string>
-        </property>
-        <property name="wordWrap">
-         <bool>false</bool>
-        </property>
-        <property name="buddy">
-         <cstring>eccCombo</cstring>
-        </property>
-       </widget>
-      </item>
-     </layout>
     </widget>
    </item>
   </layout>
-- 
2.27.0

barcode_generator_A.gif (54,698 bytes)
barcode_generator_A.gif (54,698 bytes)
barcode_generator_B.gif (53,417 bytes)
barcode_generator_B.gif (53,417 bytes)

jghali

2021-02-06 23:53

administrator   ~0048810

I committed version B of your patch with a modification regarding layout of the version and error correction level options where I used a more classical horizontal layout. Committed also an additonal modification to barcodegenerator.cpp.

PeterBenedek

2021-02-07 11:53

developer   ~0048811

Last edited: 2021-02-07 12:06

View 2 revisions

Hi bubu.

Here is a ticket: 0015294. Can you do this?
This behaviour in case occur, if you resize the Barcode window.

Issue History

Date Modified Username Field Change
2021-01-30 23:28 bubu New Issue
2021-01-30 23:28 bubu File Added: 0001-Update-layout-for-Barcode-Generator-A.patch
2021-01-30 23:28 bubu File Added: 0001-Update-layout-for-Barcode-Generator-B.patch
2021-01-30 23:28 bubu File Added: barcode_generator_A.gif
2021-01-30 23:28 bubu File Added: barcode_generator_B.gif
2021-02-06 23:53 jghali Assigned To => jghali
2021-02-06 23:53 jghali Status new => resolved
2021-02-06 23:53 jghali Resolution open => fixed
2021-02-06 23:53 jghali Fixed in Version => 1.5.7.svn
2021-02-06 23:53 jghali Note Added: 0048810
2021-02-07 11:53 PeterBenedek Note Added: 0048811
2021-02-07 12:06 PeterBenedek Note Edited: 0048811 View Revisions
2021-02-09 04:24 PeterBenedek Relationship added child of 0013906